GIT-MERGE-BASE(1)

NAME
git-merge-base - Finds as good a common ancestor as possible for a merge

SYNOPSIS
git-merge-base [--all] <commit> <commit>.sp

DESCRIPTION
"git-merge-base" finds as good a common ancestor as possible between the two commits. That is, given two commits A and B git-merge-base A B will output a commit which is reachable from both A and B through the parent relationship..sp Given a selection of equally good common ancestors it should not be relied on to decide in any particular way..sp The "git-merge-base" algorithm is still in flux - use the source....sp

OPTIONS

--all
    Output all common ancestors for the two commits instead of just one.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp